Subject: Re: using VC++ libs with gnuwin g++ ?
From: [email-masked] (Paul Prescod)

26 Jun 1997 09:57:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Ulrich Lauther)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Ulrich Lauther" at Jun 26, 97 11:56:27 am
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

> I tried to link my gnuwin-generated .o files with static tcl/tk libs that I
> compiled with VC 5.0.

Name mangling (among other things) is not consistent between C++ compilers.
The only way I know of to share information between them is to use "extern C"
interfaces and dynamically link.

 Paul Prescod

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".